summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Michael Wagner2010-05-13 01:00:10 +0200
committer David Somero2010-05-13 01:00:10 +0200
commit9ddb94b963639802f32319a08933fe355f256e4d (patch)
tree1c504eba3b87b155a32277543919f24c5cc11963 /network
parent5448542d8e5591ba20afca5b80e06e05742de774 (diff)
downloadslackbuilds-9ddb94b963639802f32319a08933fe355f256e4d.tar.gz
network/obexpushd: Added to 13.0 repository
Diffstat (limited to 'network')
-rw-r--r--network/obexpushd/README3
-rw-r--r--network/obexpushd/obexpushd.SlackBuild81
-rw-r--r--network/obexpushd/obexpushd.info10
-rw-r--r--network/obexpushd/slack-desc19
4 files changed, 113 insertions, 0 deletions
diff --git a/network/obexpushd/README b/network/obexpushd/README
new file mode 100644
index 0000000000..40d54b73dd
--- /dev/null
+++ b/network/obexpushd/README
@@ -0,0 +1,3 @@
+ObexPushD is program for receiving files via Bluetooth or IRDA.
+
+Receive files via Bluetooth, IrDA or TCP
diff --git a/network/obexpushd/obexpushd.SlackBuild b/network/obexpushd/obexpushd.SlackBuild
new file mode 100644
index 0000000000..45f645961b
--- /dev/null
+++ b/network/obexpushd/obexpushd.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for obexpushd
+
+# (C) 2009 Michael Wagner <slackware.wagnerm@arcor.de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=obexpushd
+VERSION=0.8
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-source
+tar xvf $CWD/$PRGNAM-$VERSION-source.tar.gz
+cd $PRGNAM-$VERSION-source
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir build
+pushd build
+
+cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DDOCUMENTS_DIRECTORY="/usr/doc/$PRGNAM-$VERSION" \
+ ..
+
+make
+make install/strip DESTDIR=$PKG
+
+mv $PKG/usr/share/man $PKG/usr && rm -rf $PKG/usr/share
+gzip -9 $PKG/usr/man/man1/*
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/obexpushd/obexpushd.info b/network/obexpushd/obexpushd.info
new file mode 100644
index 0000000000..d4fc3474e3
--- /dev/null
+++ b/network/obexpushd/obexpushd.info
@@ -0,0 +1,10 @@
+PRGNAM="obexpushd"
+VERSION="0.8"
+HOMEPAGE="http://www.hendrik-sattler.de/devel/obexpushd"
+DOWNLOAD="http://www.hendrik-sattler.de/downloads/obexpushd/0.8/obexpushd-0.8-source.tar.gz"
+MD5SUM="b6c468f816f6b14b3949fabf1dec374c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michael Wagner"
+EMAIL="slackware.wagnerm@arcor.de"
+APPROVED="dsomero"
diff --git a/network/obexpushd/slack-desc b/network/obexpushd/slack-desc
new file mode 100644
index 0000000000..059b6458db
--- /dev/null
+++ b/network/obexpushd/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+obexpushd: ObexPushD (Receive files via Bluetooth)
+obexpushd:
+obexpushd: ObexPushD a program for receiving files via Bluetooth or IRDA.
+obexpushd:
+obexpushd: Receive files via Bluetooth, IrDA or TCP
+obexpushd:
+obexpushd: Homepage http://www.hendrik-sattler.de/devel/obexpushd
+obexpushd:
+obexpushd:
+obexpushd:
+obexpushd: